#!/bin/bash
set -euo pipefail

export FWUPD_MSS=255
# export DRIVER_NAME="ESTKme-RED"
FWUPD="$PWD/bin/fwupd.sh"

if [[ ! -f $FWUPD ]]; then
    echo "fwupd not found at $FWUPD"
    exit 1
fi

if [[ -f "$PWD/estkme.oem.bin" ]]; then
    "$FWUPD" oem
fi

"$FWUPD" fw
